% Julio Usaola García
% Universidad Carlos III de Madrid
% ejemplo de utilización de funciones de MATPOWER

clear all
close all
clc
format compact

% flujo de cargas de alterna
[results,success]=runpf('case4gs');   % llama a runpf

% NOTA: los vectores siguientes toman TODAS las filas y una columna de la matriz
pramasij=results.branch(:,14); % potencia activa del nudo inicial al final de la rama
qramasij=results.branch(:,15); % potencia reactiva del nudo inicial al final de la rama
pramasji=results.branch(:,16); % potencia activa del nudo final al inicial de la rama
qramasji=results.branch(:,17); % potencia reactiva del nudo final al inicial de la rama
vnudo=results.bus(:,7);  % vector de módulos de tensiones en los nudos
dnudo=results.bus(:,8);  % vector de argumentos de las tensiones en los nudos
pgen=results.gen(:,2);   % vector de potencias activas generadas
qgen=results.gen(:,3);   % vector de potencias reactivas generadas

% flujo de cargas de continua
mpopt=mpoption('model','DC');               % opci�n flujo cargas continua
[results,success2]=runpf('case4gs',mpopt);   % llama a runpf

% c�lculo de coeficientes ptdf
caso=case4gs;                     % se importa un fichero de entrada
bus=caso.bus;                     % matriz con datos de nudos
branch=caso.branch;               % matriz con datos de ramas
basemva=caso.baseMVA;             % potencia base del sistema
slack=4;  % se elige el nudo oscilante - puede coincidir, o no, con el del sistema original.
coef_ptdf=makePTDF(basemva,bus,branch,slack);   % se obtienen los ptdf

